<?php

/**
 * Krste functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Krste
 */
if ( !defined( 'KRSTE_VERSION' ) ) {
    // Replace the version number of the theme on each release.
    define( 'KRSTE_VERSION', '1.0.3' );
}

if ( !function_exists( 'krs_fs' ) ) {
    // Create a helper function for easy SDK access.
    function krs_fs()
    {
        global  $krs_fs ;
        
        if ( !isset( $krs_fs ) ) {
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/freemius/start.php';
            $krs_fs = fs_dynamic_init( array(
                'id'              => '10524',
                'slug'            => 'krste',
                'type'            => 'theme',
                'public_key'      => 'pk_79cebbfa99e1946a3a970c80a334d',
                'is_premium'      => false,
                'premium_suffix'  => 'Professional',
                'has_addons'      => false,
                'has_paid_plans'  => true,
                'has_affiliation' => 'selected',
                'menu'            => array(
                'slug'   => 'krste',
                'parent' => array(
                'slug' => 'themes.php',
            ),
            ),
                'is_live'         => true,
            ) );
        }
        
        return $krs_fs;
    }
    
    // Init Freemius.
    krs_fs();
    // Signal that SDK was initiated.
    do_action( 'krs_fs_loaded' );
}

/**
 * Load lotta-framework
 */
require get_template_directory() . '/lotta-framework/vendor/autoload.php';
/**
 * Helper functions
 */
require get_template_directory() . '/inc/helpers.php';
/**
 * Theme Setup
 */
require get_template_directory() . '/inc/theme-setup.php';
/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';
/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';
/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';
/**
 * Boostrap lotta-framework
 */
\LottaFramework\Bootstrap::run( 'krste', trailingslashit( get_template_directory_uri() ) . 'lotta-framework/' );
// support locally hosted google-fonts
krste_app()->support( 'local_webfonts' );
/**
 * After lotta-framework boostrap
 */
do_action( 'krste_after_lotta_framework_bootstrap' );