<?php
/**
 * Krste Theme Customizer
 *
 * @package Krste
 */

// Colors
use LottaFramework\Facades\CZ;

// customizer traits
require get_template_directory() . '/inc/traits/trait-button-controls.php';
require get_template_directory() . '/inc/traits/trait-post-structure.php';
require get_template_directory() . '/inc/traits/trait-post-card.php';
require get_template_directory() . '/inc/traits/trait-article-controls.php';
require get_template_directory() . '/inc/traits/trait-widgets-controls.php';

// customizer elements
require get_template_directory() . '/inc/elements/class-reusable-element.php';
require get_template_directory() . '/inc/elements/class-mobile-menu-element.php';
require get_template_directory() . '/inc/elements/class-menu-element.php';
require get_template_directory() . '/inc/elements/class-logo-element.php';
require get_template_directory() . '/inc/elements/class-copyright-element.php';

// customizer sections
require get_template_directory() . '/inc/customizer/class-header-section.php';
require get_template_directory() . '/inc/customizer/class-footer-section.php';
require get_template_directory() . '/inc/customizer/class-colors-section.php';
require get_template_directory() . '/inc/customizer/class-layout-section.php';
require get_template_directory() . '/inc/customizer/class-posts-section.php';
require get_template_directory() . '/inc/customizer/class-content-section.php';
require get_template_directory() . '/inc/customizer/class-single-post-section.php';
require get_template_directory() . '/inc/customizer/class-pages-section.php';
require get_template_directory() . '/inc/customizer/class-pages-section.php';
require get_template_directory() . '/inc/customizer/class-homepage-section.php';

/**
 * Theme customizer register
 *
 * @param WP_Customize_Manager|null $wp_customize Theme Customizer object.
 */
function krste_customize_register( $wp_customize ) {

	if ( ! $wp_customize instanceof WP_Customize_Manager ) {
		$wp_customize = null;
	}

	CZ::addSection( $wp_customize, new Krste_Header_Section( 'krste_header', __( 'Header Settings', 'krste' ) ) );
	CZ::addSection( $wp_customize, new Krste_Footer_Section( 'krste_footer', __( 'Footer Settings', 'krste' ) ) );
	CZ::addSection( $wp_customize, new Krste_Colors_Section( 'krste_colors', __( 'Colors Settings', 'krste' ) ) );
	CZ::addSection( $wp_customize, new Krste_Layout_Section( 'krste_layout', __( 'Layout Settings', 'krste' ) ) );
	CZ::addSection( $wp_customize, new Krste_Posts_Section( 'krste_posts', __( 'Posts Settings', 'krste' ) ) );
	CZ::addSection( $wp_customize, new Krste_Content_Section( 'krste_article', __( 'Article Settings', 'krste' ) ) );
	CZ::addSection( $wp_customize, new Krste_Single_Post_Section( 'krste_single_post', __( 'Single Post Settings', 'krste' ) ) );
	CZ::addSection( $wp_customize, new Krste_Pages_Section( 'krste_pages', __( 'Pages Settings', 'krste' ) ) );
	CZ::addSection( $wp_customize, new Krste_Homepage_Section( 'static_front_page', __( 'Homepage Settings', 'krste' ) ) );
}

add_action( 'customize_register', 'krste_customize_register' );
add_action( 'krste_after_lotta_framework_bootstrap', 'krste_customize_register' );

if ( ! function_exists( 'krste_customizer_scripts' ) ) {
	/**
	 * Enqueue customizer scripts
	 */
	function krste_customizer_scripts() {
		krste_enqueue_global_vars();
	}
}
add_action( 'customize_controls_enqueue_scripts', 'krste_customizer_scripts' );