<?php

/**
 * Colors customizer section
 *
 * @package Krste
 */
use  LottaFramework\Customizer\Controls\Background ;
use  LottaFramework\Customizer\Controls\ColorPalettes ;
use  LottaFramework\Customizer\Controls\ColorPicker ;
use  LottaFramework\Customizer\Controls\Placeholder ;
use  LottaFramework\Customizer\Controls\Separator ;
use  LottaFramework\Customizer\Section ;

if ( !defined( 'ABSPATH' ) ) {
    exit;
    // Exit if accessed directly.
}

if ( !class_exists( 'Krste_Colors_Section' ) ) {
    class Krste_Colors_Section extends Section
    {
        /**
         * {@inheritDoc}
         */
        public function getControls()
        {
            $controls = [ ( new ColorPalettes( 'krste_color_palettes', [
                'krste-primary-color'   => __( 'Primary Color', 'krste' ),
                'krste-primary-active'  => __( 'Primary Active', 'krste' ),
                'krste-primary-content' => __( 'Primary Content', 'krste' ),
                'krste-accent-color'    => __( 'Accent Color', 'krste' ),
                'krste-accent-active'   => __( 'Accent Active', 'krste' ),
                'krste-accent-content'  => __( 'Accent Content', 'krste' ),
                'krste-base-color'      => __( 'Base Color', 'krste' ),
                'krste-base-50'         => __( 'Base 50', 'krste' ),
                'krste-base-100'        => __( 'Base 100', 'krste' ),
                'krste-base-200'        => __( 'Base 200', 'krste' ),
                'krste-base-300'        => __( 'Base 300', 'krste' ),
            ] ) )->setLabel( __( 'Color Presets', 'krste' ) )->setDefaultValue( 'preset-1' )->addPalette( 'preset-1', [
                'krste-primary-color'  => '#0e80e8',
                'krste-primary-active' => '#0258c7',
                'krste-accent-color'   => '#64748b',
                'krste-accent-active'  => '#181f28',
                'krste-base-300'       => '#cbd5e1',
                'krste-base-200'       => '#e2e8f0',
                'krste-base-100'       => '#f1f5f9',
                'krste-base-50'        => '#fcfdfe',
                'krste-base-color'     => '#ffffff',
            ] )->addPalette( 'preset-2', [
                'krste-primary-color'  => '#dc2626',
                'krste-primary-active' => '#b91c1c',
                'krste-accent-color'   => '#6b7280',
                'krste-accent-active'  => '#19202c',
                'krste-base-300'       => '#e1d5cb',
                'krste-base-200'       => '#ece9e7',
                'krste-base-100'       => '#f9f5f1',
                'krste-base-50'        => '#fdfbfa',
                'krste-base-color'     => '#fefcfc',
            ] ) ];
            $controls = array_merge( $controls, [ ( new Placeholder( 'krste_primary_color' ) )->setDefaultValue( [
                'default' => 'var(--krste-primary-color)',
                'active'  => 'var(--krste-primary-active)',
            ] ), ( new Placeholder( 'krste_accent_color' ) )->setDefaultValue( [
                'default' => 'var(--krste-accent-color)',
                'active'  => 'var(--krste-accent-active',
            ] ), ( new Placeholder( 'krste_base_color' ) )->setDefaultValue( [
                '300'     => 'var(--krste-base-300)',
                '200'     => 'var(--krste-base-200)',
                '100'     => 'var(--krste-base-100)',
                '50'      => 'var(--krste-base-50)',
                'default' => 'var(--krste-base-color)',
            ] ) ] );
            $controls[] = new Separator( 'krste_site_background_separator' );
            $controls[] = ( new Background( 'krste_site_background' ) )->setLabel( __( 'Site Background', 'krste' ) )->enableResponsive()->setDefaultValue( [
                'type'  => 'color',
                'color' => 'var(--krste-base-color)',
            ] );
            if ( krs_fs()->is_not_paying() ) {
                $controls[] = krste_upsell_info_control( __( 'Fully customize your colors in %1$sPro Version%2$s', 'krste' ), 'krste_colors_upsell_info' );
            }
            return $controls;
        }
    
    }
}