<?php

/**
 * Header customizer section
 *
 * @package Krste
 */
use  LottaFramework\Customizer\Controls\Background ;
use  LottaFramework\Customizer\Controls\Border ;
use  LottaFramework\Customizer\Controls\BoxShadow ;
use  LottaFramework\Customizer\Controls\CallToAction ;
use  LottaFramework\Customizer\Controls\ColorPicker ;
use  LottaFramework\Customizer\Controls\Placeholder ;
use  LottaFramework\Customizer\Controls\Section ;
use  LottaFramework\Customizer\Controls\Separator ;
use  LottaFramework\Customizer\Controls\Slider ;
use  LottaFramework\Customizer\Controls\Spacing ;
use  LottaFramework\Customizer\Controls\Tabs ;
use  LottaFramework\Customizer\Controls\Text ;
use  LottaFramework\Customizer\Section as CustomizerSection ;

if ( !defined( 'ABSPATH' ) ) {
    exit;
    // Exit if accessed directly.
}

if ( !class_exists( 'Krste_Header_Section' ) ) {
    class Krste_Header_Section extends CustomizerSection
    {
        use  Krste_Widgets_Controls ;
        /**
         * {@inheritDoc}
         */
        public function getControls()
        {
            return [
                ( new Section( 'krste_header_container' ) )->setLabel( __( 'Container', 'krste' ) )->setControls( $this->getContainerControls() ),
                ( new Section( 'krste_header_logo' ) )->setLabel( __( 'Logo', 'krste' ) )->enableSwitch()->setControls( $this->getLogoControls() ),
                ( new Section( 'krste_header_desktop_menu' ) )->setLabel( __( 'Desktop Menu', 'krste' ) )->enableSwitch()->setControls( $this->getDesktopMenuControls() ),
                ( new Section( 'krste_header_mobile_modal' ) )->setLabel( __( 'Mobile Modal', 'krste' ) )->enableSwitch()->setControls( [ ( new Section( 'krste_header_mobile_menu' ) )->setLabel( __( 'Mobile Menu', 'krste' ) )->enableSwitch()->setControls( $this->getMobileMenuControls() ), ( new Section( 'krste_header_mobile_widgets' ) )->setLabel( __( 'Mobile Widgets', 'krste' ) )->enableSwitch()->setControls( [ ( new CallToAction() )->setLabel( __( 'Edit Widgets', 'krste' ) )->displayAsButton()->expandCustomize( 'sidebar-widgets-mobile-widgets' ), ( new Tabs() )->setActiveTab( 'general' )->addTab( 'general', __( 'General', 'krste' ), $this->getSidebarGeneralControls( 'mobile_widgets', [
                'exclude' => [ 'width' ],
            ] ) )->addTab( 'style', __( 'Style', 'krste' ), $this->getSidebarStyleControls( 'mobile_widgets' ) ) ] ) ] ),
                ( new Section( 'krste_header_search' ) )->setLabel( __( 'Search', 'krste' ) )->enableSwitch()->setControls( $this->getSearchControl() )
            ];
        }
        
        protected function getContainerControls()
        {
            $content_controls = [ ( new Slider( 'krste_header_min_height' ) )->setLabel( __( 'Min Height', 'krste' ) )->enableResponsive()->selectiveRefresh( ...krste_refresh_dynamic_css() )->setMin( 20 )->setMax( 300 )->setDefaultUnit( 'px' )->setDefaultValue( '88px' ) ];
            $style_controls = [
                krste_upsell_info_control( __( 'More header options in %1$sPro Version%2$s', 'krste' ) )->hideBackground(),
                ( new Placeholder( 'krste_header_border_top' ) )->setDefaultBorder( 1, 'none', 'var(--krste-base-200)' ),
                ( new Placeholder( 'krste_header_border_bottom' ) )->setDefaultBorder( 1, 'none', 'var(--krste-base-200)' ),
                ( new Placeholder( 'krste_header_shadow' ) )->setDefaultShadow(
                'rgba(44, 62, 80, 0.05)',
                '0px',
                '10px',
                '10px',
                '0px',
                false
            )
            ];
            $style_controls = array_merge( $style_controls, [ ( new Separator() )->dashedStyle(), ( new Background( 'krste_header_background' ) )->setLabel( __( 'Background', 'krste' ) )->enableResponsive()->selectiveRefresh( ...krste_refresh_dynamic_css() )->setDefaultValue( [
                'type'  => 'color',
                'color' => 'var(--krste-base-color)',
            ] ) ] );
            return [ ( new Tabs( 'krste_header_tabs' ) )->setActiveTab( 'general' )->selectiveRefresh( ...krste_refresh_dynamic_css() )->addTab( 'general', __( 'General', 'krste' ), $content_controls )->addTab( 'style', __( 'Style', 'krste' ), $style_controls ) ];
        }
        
        /**
         * Get logo controls
         *
         * @return array
         */
        protected function getLogoControls()
        {
            $logo = new Krste_Logo_Element( 'krste_header_logo' );
            return $logo->getControls();
        }
        
        /**
         * Get desktop menu controls
         *
         * @return array
         */
        protected function getDesktopMenuControls()
        {
            $menu = new Krste_Menu_Element( 'krste_desktop_menu' );
            return array_merge( [ ( new CallToAction() )->setLabel( __( 'Edit Menu Locations', 'krste' ) )->displayAsButton()->expandCustomize( 'menu_locations' ) ], $menu->getControls() );
        }
        
        /**
         * Get mobile menu controls
         *
         * @return array
         */
        protected function getMobileMenuControls()
        {
            $mobile = new Krste_Mobile_Menu_Element( 'krste_mobile_menu' );
            return [ ( new CallToAction() )->setLabel( __( 'Edit Menu Locations', 'krste' ) )->displayAsButton()->expandCustomize( 'menu_locations' ), ( new Tabs() )->setActiveTab( 'menu' )->addTab( 'menu', __( 'Menu', 'krste' ), $mobile->getControls() )->addTab( 'modal', __( 'Modal', 'krste' ), $this->getModalControls( 'krste_mobile_menu' ) ) ];
        }
        
        /**
         * Get search controls
         *
         * @return array
         */
        protected function getSearchControl()
        {
            return [ ( new Tabs() )->setActiveTab( 'search' )->addTab( 'search', __( 'Search', 'krste' ), $this->getSearchFormControls() )->addTab( 'modal', __( 'Modal', 'krste' ), $this->getModalControls( 'krste_search' ) ) ];
        }
        
        protected function getSearchFormControls()
        {
            $controls = [ ( new Text( 'krste_header_search_placeholder' ) )->setLabel( __( 'Placeholder Text', 'krste' ) )->setDefaultValue( __( 'Type & Hint Enter', 'krste' ) ) ];
            $controls = array_merge( $controls, [ ( new Placeholder( 'krste_header_search_input_color' ) )->addColor( 'initial', 'var(--krste-accent-color)' )->addColor( 'focus', 'var(--krste-accent-color)' )->addColor( 'placeholder', 'var(--krste-accent-color)' ), ( new Placeholder( 'krste_header_search_input_border_color' ) )->addColor( 'initial', 'var(--krste-base-200)' )->addColor( 'focus', 'var(--krste-primary-color)' ) ] );
            if ( krs_fs()->is_not_paying() ) {
                $controls[] = krste_upsell_info_control( __( 'More search options in %1$sPro Version%2$s', 'krste' ) );
            }
            return $controls;
        }
        
        /**
         * Get modal controls
         *
         * @param $prefix
         *
         * @return array
         */
        protected function getModalControls( $prefix )
        {
            return [
                ( new ColorPicker( $prefix . '_modal_close_color' ) )->setLabel( __( 'Close Button Color', 'krste' ) )->addColor( 'initial', __( 'Initial', 'krste' ), 'var(--krste-accent-active)' )->addColor( 'hover', __( 'Hover', 'krste' ), 'var(--krste-primary-color)' ),
                new Separator(),
                ( new Background( $prefix . '_modal_background' ) )->setLabel( __( 'Background', 'krste' ) )->setDefaultValue( [
                'type'  => 'color',
                'color' => 'var(--krste-base-color)',
            ] ),
                new Separator(),
                ( new Spacing( $prefix . '_modal_padding' ) )->setLabel( __( 'Content Padding', 'krste' ) )->setDefaultValue( __( 'Padding', 'krste' ) )->setSpacing( [], '24px' )
            ];
        }
    
    }
}