<?php
/**
 * Homepage section
 *
 * @package Krste
 */

use LottaFramework\Customizer\Controls\Condition;
use LottaFramework\Customizer\Controls\Separator;
use LottaFramework\Customizer\Controls\Toggle;
use LottaFramework\Customizer\Section as CustomizerSection;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! class_exists( 'Krste_Homepage_Section' ) ) {

	class Krste_Homepage_Section extends CustomizerSection {

		public function getControls() {
			return [
				( new Condition( 'krste_is_static_frontpage' ) )
					->setCondition( [
						'show_on_front' => 'page',
						'page_on_front' => '!0'
					] )
					->setControls( [
						( new Separator() ),
						( new Toggle( 'krste_show_frontpage_header' ) )
							->setLabel( __( 'Show Page Header', 'krste' ) )
							->closeByDefault()
						,
					] )
				,
			];
		}
	}
}