<?php

/**
 * Layout section
 *
 * @package Krste
 */
use  LottaFramework\Customizer\Controls\BoxShadow ;
use  LottaFramework\Customizer\Controls\CallToAction ;
use  LottaFramework\Customizer\Controls\ColorPicker ;
use  LottaFramework\Customizer\Controls\ImageRadio ;
use  LottaFramework\Customizer\Controls\Radio ;
use  LottaFramework\Customizer\Controls\Section ;
use  LottaFramework\Customizer\Controls\Separator ;
use  LottaFramework\Customizer\Controls\Slider ;
use  LottaFramework\Customizer\Controls\Spacing ;
use  LottaFramework\Customizer\Controls\Tabs ;
use  LottaFramework\Customizer\Section as CustomizerSection ;
use  LottaFramework\Utils ;

if ( !defined( 'ABSPATH' ) ) {
    exit;
    // Exit if accessed directly.
}

if ( !class_exists( 'Krste_Layout_Section' ) ) {
    class Krste_Layout_Section extends CustomizerSection
    {
        use  Krste_Widgets_Controls ;
        /**
         * {@inheritDoc}
         */
        public function getControls()
        {
            return [ ( new Section( 'krste_container_settings' ) )->setLabel( __( 'Container Settings', 'krste' ) )->setControls( $this->getContainerControls() ), ( new Section( 'krste_sidebar_settings' ) )->setLabel( __( 'Sidebar Settings', 'krste' ) )->setControls( $this->getSidebarControls() ), ( new Section( 'krste_scroll_to_top' ) )->setLabel( __( 'Scroll To Top', 'krste' ) )->enableSwitch()->setControls( $this->getScrollToTopControls() ) ];
        }
        
        protected function getContainerControls() : array
        {
            return [
                ( new Slider( 'krste_archive_content_width' ) )->setLabel( __( 'Archive Content Width', 'krste' ) )->setDefaultValue( '65ch' )->selectiveRefresh( ...krste_refresh_dynamic_css() )->enableResponsive()->setUnits( Utils::units_config( [ [
                'unit' => 'ch',
                'min'  => 20,
                'max'  => 100,
            ], [
                'unit' => '%',
                'min'  => 20,
                'max'  => 100,
            ] ] ) ),
                ( new Slider( 'krste_single_post_content_width' ) )->setLabel( __( 'Single Post Content Width', 'krste' ) )->setDefaultValue( '65ch' )->selectiveRefresh( ...krste_refresh_dynamic_css() )->enableResponsive()->setUnits( Utils::units_config( [ [
                'unit' => 'ch',
                'min'  => 20,
                'max'  => 100,
            ], [
                'unit' => '%',
                'min'  => 20,
                'max'  => 100,
            ] ] ) ),
                ( new Slider( 'krste_pages_content_width' ) )->setLabel( __( 'Pages Content Width', 'krste' ) )->setDefaultValue( '65ch' )->selectiveRefresh( ...krste_refresh_dynamic_css() )->enableResponsive()->setUnits( Utils::units_config( [ [
                'unit' => 'ch',
                'min'  => 20,
                'max'  => 100,
            ], [
                'unit' => '%',
                'min'  => 20,
                'max'  => 100,
            ] ] ) ),
                ( new Slider( 'krste_homepage_content_width' ) )->setLabel( __( 'Homepage Content Width', 'krste' ) )->setDefaultValue( '100%' )->selectiveRefresh( ...krste_refresh_dynamic_css() )->enableResponsive()->setUnits( Utils::units_config( [ [
                'unit' => 'ch',
                'min'  => 20,
                'max'  => 100,
            ], [
                'unit' => '%',
                'min'  => 20,
                'max'  => 100,
            ] ] ) ),
                new Separator(),
                ( new Spacing( 'krste_archive_content_spacing' ) )->setLabel( __( 'Archive Content Spacing', 'krste' ) )->selectiveRefresh( ...krste_refresh_dynamic_css() )->enableResponsive()->setDisabled( [ 'left', 'right' ] )->setSpacing( [
                'top'    => '24px',
                'bottom' => '24px',
            ], 'auto' ),
                ( new Spacing( 'krste_single_post_content_spacing' ) )->setLabel( __( 'Single Post Content Spacing', 'krste' ) )->selectiveRefresh( ...krste_refresh_dynamic_css() )->enableResponsive()->setDisabled( [ 'left', 'right' ] )->setSpacing( [
                'top'    => '24px',
                'bottom' => '24px',
            ], 'auto' ),
                ( new Spacing( 'krste_pages_content_spacing' ) )->setLabel( __( 'Pages Content Spacing', 'krste' ) )->selectiveRefresh( ...krste_refresh_dynamic_css() )->enableResponsive()->setDisabled( [ 'left', 'right' ] )->setSpacing( [
                'top'    => '24px',
                'bottom' => '24px',
            ], 'auto' ),
                ( new Spacing( 'krste_homepage_content_spacing' ) )->setLabel( __( 'Homepage Content Spacing', 'krste' ) )->selectiveRefresh( ...krste_refresh_dynamic_css() )->enableResponsive()->setDisabled( [ 'left', 'right' ] )->setSpacing( [
                'top'    => '0px',
                'bottom' => '0px',
            ], 'auto' )
            ];
        }
        
        protected function getSidebarControls() : array
        {
            return [
                ( new CallToAction() )->setLabel( __( 'Edit Widgets', 'krste' ) )->displayAsButton()->expandCustomize( 'sidebar-widgets-primary-sidebar' ),
                new Separator(),
                ( new ImageRadio( 'krste_archive_sidebar' ) )->setLabel( __( 'Archive Sidebar', 'krste' ) )->setDefaultValue( 'no-sidebar' )->setColumns( 3 )->setChoices( [
                'no-sidebar'    => [
                'src' => krste_image_url( 'sidebar-none.png' ),
            ],
                'left-sidebar'  => [
                'src' => krste_image_url( 'sidebar-left.png' ),
            ],
                'right-sidebar' => [
                'src' => krste_image_url( 'sidebar-right.png' ),
            ],
            ] ),
                ( new ImageRadio( 'krste_single_post_sidebar' ) )->setLabel( __( 'Single Post Sidebar', 'krste' ) )->setDefaultValue( 'no-sidebar' )->setColumns( 3 )->setChoices( [
                'no-sidebar'    => [
                'src' => krste_image_url( 'sidebar-none.png' ),
            ],
                'left-sidebar'  => [
                'src' => krste_image_url( 'sidebar-left.png' ),
            ],
                'right-sidebar' => [
                'src' => krste_image_url( 'sidebar-right.png' ),
            ],
            ] ),
                ( new ImageRadio( 'krste_pages_sidebar' ) )->setLabel( __( 'Pages Sidebar', 'krste' ) )->setDefaultValue( 'no-sidebar' )->setColumns( 3 )->setChoices( [
                'no-sidebar'    => [
                'src' => krste_image_url( 'sidebar-none.png' ),
            ],
                'left-sidebar'  => [
                'src' => krste_image_url( 'sidebar-left.png' ),
            ],
                'right-sidebar' => [
                'src' => krste_image_url( 'sidebar-right.png' ),
            ],
            ] ),
                new Separator(),
                ( new Tabs() )->setActiveTab( 'general' )->addTab( 'general', __( 'General', 'krste' ), $this->getSidebarGeneralControls() )->addTab( 'style', __( 'Style', 'krste' ), $this->getSidebarStyleControls() )
            ];
        }
        
        protected function getScrollToTopControls()
        {
            return [ ( new Tabs() )->setActiveTab( 'content' )->addTab( 'content', __( 'Content', 'krste' ), [
                ( new ImageRadio( 'krste_to_top_icon' ) )->hideLabel()->setDefaultValue( 'top-top-2' )->setColumns( 3 )->setChoices( [
                'top-top-1' => [
                'src' => krste_image( 'top-top-1' ),
            ],
                'top-top-2' => [
                'src' => krste_image( 'top-top-2' ),
            ],
                'top-top-3' => [
                'src' => krste_image( 'top-top-3' ),
            ],
                'top-top-4' => [
                'src' => krste_image( 'top-top-4' ),
            ],
                'top-top-5' => [
                'src' => krste_image( 'top-top-5' ),
            ],
                'top-top-6' => [
                'src' => krste_image( 'top-top-6' ),
            ],
            ] ),
                new Separator(),
                ( new Slider( 'krste_to_top_icon_size' ) )->setLabel( __( 'Icon Size', 'krste' ) )->enableResponsive()->setMin( 10 )->setMax( 50 )->setDefaultUnit( 'px' )->setDefaultValue( '14px' ),
                new Separator(),
                ( new Slider( 'krste_to_top_bottom_offset' ) )->setLabel( __( 'Bottom Offset', 'krste' ) )->enableResponsive()->setMin( 5 )->setMax( 300 )->setDefaultUnit( 'px' )->setDefaultValue( '48px' ),
                ( new Slider( 'krste_to_top_side_offset' ) )->setLabel( __( 'Side Offset', 'krste' ) )->enableResponsive()->setMin( 5 )->setMax( 300 )->setDefaultUnit( 'px' )->setDefaultValue( '48px' ),
                new Separator(),
                ( new Radio( 'krste_to_top_position' ) )->setLabel( __( 'Position', 'krste' ) )->setDefaultValue( 'right' )->setChoices( [
                'left'  => __( 'Left', 'krste' ),
                'right' => __( 'Right', 'krste' ),
            ] )
            ] )->addTab( 'style', __( 'Style', 'krste' ), $this->getScrollToTopStyleControls() ) ];
        }
        
        protected function getScrollToTopStyleControls()
        {
            return [ krste_upsell_info_control( __( 'Fully customize your scroll to top button in our %sPro Version%s', 'krste' ) ) ];
        }
    
    }
}