<?php
/**
 * Pages customizer section
 *
 * @package Krste
 */

use LottaFramework\Customizer\Controls\Section;
use LottaFramework\Customizer\Section as CustomizerSection;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! class_exists( 'Krste_Pages_Section' ) ) {

	class Krste_Pages_Section extends CustomizerSection {

		use Krste_Article_Controls;

		/**
		 * {@inheritDoc}
		 */
		public function getControls() {
			return [
				( new Section( 'krste_page_header' ) )
					->setLabel( __( 'Page Header', 'krste' ) )
					->enableSwitch()
					->setControls( $this->getHeaderControls( 'page' ) )
				,
				( new Section( 'krste_page_featured_image' ) )
					->setLabel( __( 'Featured Image', 'krste' ) )
					->enableSwitch()
					->setControls( $this->getFeaturedImageControls( 'page' ) )
				,
			];
		}
	}
}
