<?php

/**
 * Posts customizer section
 *
 * @package Krste
 */
use  LottaFramework\Customizer\Controls\Border ;
use  LottaFramework\Customizer\Controls\ColorPicker ;
use  LottaFramework\Customizer\Controls\Condition ;
use  LottaFramework\Customizer\Controls\ImageRadio ;
use  LottaFramework\Customizer\Controls\Radio ;
use  LottaFramework\Customizer\Controls\Section ;
use  LottaFramework\Customizer\Controls\Select ;
use  LottaFramework\Customizer\Controls\Separator ;
use  LottaFramework\Customizer\Controls\Slider ;
use  LottaFramework\Customizer\Controls\Spacing ;
use  LottaFramework\Customizer\Controls\Tabs ;
use  LottaFramework\Customizer\Controls\Text ;
use  LottaFramework\Customizer\Controls\Toggle ;
use  LottaFramework\Customizer\Controls\Typography ;
use  LottaFramework\Customizer\Section as CustomizerSection ;
use  LottaFramework\Utils ;

if ( !defined( 'ABSPATH' ) ) {
    exit;
    // Exit if accessed directly.
}

if ( !class_exists( 'Krste_Posts_Section' ) ) {
    class Krste_Posts_Section extends CustomizerSection
    {
        use  Krste_Post_Structure ;
        use  Krste_Post_Card ;
        /**
         * {@inheritDoc}
         */
        public function getControls()
        {
            return [
                ( new Section( 'krste_archive_header' ) )->setLabel( __( 'Archive Header', 'krste' ) )->setControls( $this->getArchiveHeaderControls() ),
                ( new Section( 'krste_entry_section' ) )->setLabel( __( 'Entry Settings', 'krste' ) )->setControls( $this->getEntryControls() ),
                ( new Section( 'krste_entry_divider_section' ) )->setLabel( __( 'Entry Items Divider', 'krste' ) )->enableSwitch()->setControls( $this->getEntryItemsDividerControls() ),
                ( new Section( 'krste_archive_pagination_section' ) )->setLabel( __( 'Pagination', 'krste' ) )->enableSwitch()->setControls( [ ( new Tabs() )->setActiveTab( 'content' )->addTab( 'content', __( 'Content', 'krste' ), $this->getPaginationContentControls() )->addTab( 'style', __( 'Style', 'krste' ), $this->getPaginationStyleControls() ) ] )
            ];
        }
        
        /**
         * @return array
         */
        protected function getArchiveHeaderControls()
        {
            return [
                ( new Radio( 'krste_archive_header_alignment' ) )->setLabel( __( 'Alignment', 'krste' ) )->buttonsGroupView()->setDefaultValue( 'center' )->setChoices( [
                'left'   => __( 'Left', 'krste' ),
                'center' => __( 'Center', 'krste' ),
                'right'  => __( 'Right', 'krste' ),
            ] ),
                new Separator(),
                ( new Spacing( 'krste_archive_header_padding' ) )->setLabel( __( 'Padding', 'krste' ) )->setSpacing( [
                'top'    => '48px',
                'bottom' => '48px',
                'linked' => true,
            ] ),
                new Separator(),
                ( new Tabs() )->setActiveTab( 'title' )->addTab( 'title', __( 'Title', 'krste' ), [ ( new ColorPicker( 'krste_archive_title_color' ) )->setLabel( __( 'Color', 'krste' ) )->enableAlpha()->addColor( 'initial', __( 'Initial', 'krste' ), 'var(--krste-accent-active)' ), new Separator(), ( new Typography( 'krste_archive_title_typography' ) )->setLabel( __( 'Typography', 'krste' ) )->setDefaultValue( [
                'family'        => 'inherit',
                'fontSize'      => [
                'desktop' => '1.875rem',
                'tablet'  => '1.5rem',
                'mobile'  => '1.25em',
            ],
                'variant'       => '700',
                'lineHeight'    => '2',
                'textTransform' => 'capitalize',
            ] ) ] )->addTab( 'description', __( 'Description', 'krste' ), [ ( new ColorPicker( 'krste_archive_description_color' ) )->setLabel( __( 'Color', 'krste' ) )->enableAlpha()->addColor( 'initial', __( 'Initial', 'krste' ), 'var(--krste-accent-color)' ), new Separator(), ( new Typography( 'krste_archive_description_typography' ) )->setLabel( __( 'Typography', 'krste' ) )->setDefaultValue( [
                'family'     => 'inherit',
                'fontSize'   => [
                'desktop' => '0.875rem',
                'tablet'  => '0.875rem',
                'mobile'  => '0.75em',
            ],
                'variant'    => '400',
                'lineHeight' => '1.5',
            ] ) ] )
            ];
        }
        
        /**
         * @return array
         */
        protected function getEntryItemsDividerControls()
        {
            return [
                ( new Border( 'krste_entry_items_divider' ) )->setLabel( __( 'Divider', 'krste' ) )->setDefaultBorder( 2, 'dashed', 'var(--krste-base-200)' ),
                ( new Separator() )->dashedStyle(),
                ( new Radio( 'krste_entry_items_divider_alignment' ) )->setLabel( __( 'Divider Alignment', 'krste' ) )->buttonsGroupView()->setDefaultValue( 'center' )->setChoices( [
                'left'   => __( 'Left', 'krste' ),
                'center' => __( 'Center', 'krste' ),
                'right'  => __( 'Right', 'krste' ),
            ] ),
                ( new Separator() )->dashedStyle(),
                ( new Slider( 'krste_entry_items_divider_width' ) )->setLabel( __( 'Divider Width', 'krste' ) )->enableResponsive()->setUnits( Utils::units_config( [ [
                'unit' => 'px',
                'min'  => 0,
                'max'  => 500,
            ] ] ) )->setDefaultValue( '80%' ),
                ( new Separator() )->dashedStyle(),
                ( new Slider( 'krste_entry_items_divider_spacing' ) )->setLabel( __( 'Divider Spacing', 'krste' ) )->enableResponsive()->setDefaultUnit( 'px' )->setDefaultValue( '48px' )
            ];
        }
        
        /**
         * @return array
         */
        protected function getEntryControls()
        {
            return [ ( new Tabs() )->setActiveTab( 'content' )->addTab( 'content', __( 'Content', 'krste' ), array_merge( [ $this->getPostElementsLayer( 'krste_entry_structure', 'entry' ), new Separator() ], $this->getCardContentControls( 'krste_' ) ) )->addTab( 'style', __( 'Style', 'krste' ), $this->getCardStyleControls( 'krste_', [
                'shadow' => [
                'rgba(44, 62, 80, 0.25)',
                '0px',
                '15px',
                '18px',
                '-15px'
            ],
            ] ) ) ];
        }
        
        /**
         * @return array
         */
        protected function getPaginationContentControls()
        {
            $pagination_type = [
                'numbered'        => __( 'Numbered', 'krste' ),
                'prev-next'       => __( 'Prev & Next', 'krste' ),
                'load-more'       => __( 'Load More', 'krste' ),
                'infinite-scroll' => __( 'Infinite Scroll', 'krste' ),
            ];
            
            if ( krs_fs()->is_not_paying() ) {
                $pagination_type['load-more'] = $pagination_type['load-more'] . ' (Pro)';
                $pagination_type['infinite-scroll'] = $pagination_type['infinite-scroll'] . ' (Pro)';
            }
            
            $controls = [ ( new Select( 'krste_pagination_type' ) )->setLabel( __( 'Pagination Type', 'krste' ) )->displayInline()->setDefaultValue( 'numbered' )->setChoices( $pagination_type ), ( new Condition() )->setCondition( [
                'krste_pagination_type' => 'numbered',
            ] )->setControls( [ ( new Toggle( 'krste_pagination_prev_next_button' ) )->setLabel( __( 'Previous & Next Buttons', 'krste' ) )->openByDefault() ] ), ( new Condition() )->setCondition( [
                'krste_pagination_type' => 'numbered|prev-next',
            ] )->setControls( [
                new Separator(),
                ( new Radio( 'krste_pagination_prev_next_type' ) )->setLabel( __( 'Previous & Next Type', 'krste' ) )->buttonsGroupView()->setDefaultValue( 'icon' )->setChoices( [
                'text' => __( 'Text', 'krste' ),
                'icon' => __( 'Icon', 'krste' ),
            ] ),
                ( new Condition() )->setCondition( [
                'krste_pagination_prev_next_type' => 'text',
            ] )->setControls( [ ( new Text( 'krste_pagination_prev_text' ) )->setLabel( __( 'Previous Text', 'krste' ) )->displayInline()->setDefaultValue( __( 'Prev', 'krste' ) ), ( new Text( 'krste_pagination_next_text' ) )->setLabel( __( 'Next Text', 'krste' ) )->displayInline()->setDefaultValue( __( 'Next', 'krste' ) ) ] ),
                new Separator(),
                ( new Toggle( 'krste_pagination_disabled_button' ) )->setLabel( __( 'Show Disabled Buttons', 'krste' ) )->closeByDefault()
            ] ) ];
            if ( krs_fs()->is_not_paying() ) {
                $controls[] = ( new Condition() )->setCondition( [
                    'krste_pagination_type' => 'load-more|infinite-scroll',
                ] )->setControls( [ new Separator(), krste_upsell_info_control( __( 'Load More & Infinite Scroll is available in our %1$sPro Version%2$s', 'krste' ) )->hideBackground() ] );
            }
            $controls[] = new Separator();
            $controls[] = ( new ImageRadio( 'krste_pagination_alignment' ) )->setLabel( __( 'Alignment', 'krste' ) )->inlineChoices()->setDefaultValue( 'center' )->setChoices( [
                'flex-start' => [
                'src' => krste_image( 'text-left' ),
            ],
                'center'     => [
                'src' => krste_image( 'text-center' ),
            ],
                'flex-end'   => [
                'src' => krste_image( 'text-right' ),
            ],
            ] );
            return $controls;
        }
        
        protected function getPaginationStyleControls()
        {
            $controls = [ ( new Condition() )->setCondition( [
                'krste_pagination_type' => 'numbered|prev-next',
            ] )->setControls( [ ( new ColorPicker( 'krste_pagination_button_color' ) )->setLabel( __( 'Text Color', 'krste' ) )->addColor( 'initial', __( 'Text Initial', 'krste' ), 'var(--krste-accent-active)' )->addColor( 'active', __( 'Text Active', 'krste' ), 'var(--krste-base-color)' )->addColor( 'accent', __( 'Accent', 'krste' ), 'var(--krste-primary-color)' ), ( new Border( 'krste_pagination_button_border' ) )->setLabel( __( 'Border', 'krste' ) )->displayInline()->setDefaultBorder( 1, 'solid', 'var(--krste-base-200)' ) ] ) ];
            $controls[] = ( new Condition() )->setCondition( [
                'krste_pagination_type' => 'numbered|prev-next',
            ] )->setControls( [ new Separator(), ( new Slider( 'krste_pagination_button_radius' ) )->setLabel( __( 'Radius', 'krste' ) )->enableResponsive()->setDefaultUnit( 'px' )->setDefaultValue( '2px' )->setMin( 0 )->setMax( 100 ) ] );
            return $controls;
        }
    
    }
}