<?php
/**
 * Single Post customizer section
 *
 * @package Krste
 */

use LottaFramework\Customizer\Controls\Section;
use LottaFramework\Customizer\Section as CustomizerSection;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! class_exists( 'Krste_Single_Post_Section' ) ) {

	class Krste_Single_Post_Section extends CustomizerSection {

		use Krste_Article_Controls;

		/**
		 * {@inheritDoc}
		 */
		public function getControls() {
			return [
				( new Section( 'krste_post_header' ) )
					->setLabel( __( 'Post Header', 'krste' ) )
					->enableSwitch()
					->setControls( $this->getHeaderControls( 'post' ) )
				,
				( new Section( 'krste_post_featured_image' ) )
					->setLabel( __( 'Featured Image', 'krste' ) )
					->enableSwitch()
					->setControls( $this->getFeaturedImageControls( 'post' ) )
				,
				( new Section( 'krste_post_navigation' ) )
					->setLabel( __( 'Posts Navigation', 'krste' ) )
					->enableSwitch()
					->setControls( $this->getNavigationControls( 'post' ) )
				,
			];
		}
	}
}
