<?php
/**
 * The default primary sidebar.
 *
 * @see https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Krste
 */

use LottaFramework\Utils;

$default_sidebar = apply_filters( 'krste_filter_default_sidebar_id', 'primary-sidebar', 'primary' );
$attrs           = [
	'class' => 'krste-sidebar krste-form sidebar-primary prose prose-krste shrink-0 krste-heading',
	'role'  => 'complementary',
];

if ( is_customize_preview() ) {
	$attrs['data-shortcut']          = 'border';
	$attrs['data-shortcut-location'] = 'krste_sidebar';
}

?>

<?php if ( is_active_sidebar( $default_sidebar ) ): ?>
    <div <?php Utils::print_attribute_string( $attrs ); ?>>
		<?php dynamic_sidebar( $default_sidebar ); ?>
    </div>
<?php endif; ?>

