<?php
/**
 * Template part for displaying posts entry.
 *
 * @package Krste
 */

use LottaFramework\Facades\CZ;
use LottaFramework\Utils;

$entry_attrs = [
	'id'    => 'post-' . get_the_ID(),
	'class' => Utils::clsx(
		get_post_class( [ 'card', 'krste-post-entry' ] )
	),
];

$entry_structure = CZ::layers( 'krste_entry_structure' );
?>

<article <?php Utils::print_attribute_string( $entry_attrs ); ?>>
	<?php krste_post_structure( 'entry', $entry_structure, CZ::layers( 'krste_entry_metas' ), [
		'title_link'   => true,
		'title_tag'    => CZ::get( 'krste_entry_title_tag' ),
		'excerpt_type' => CZ::get( 'krste_entry_excerpt_type' ),
	] ); ?>
</article>
