<?php
/**
 * Template for show primary navbar
 *
 * @package Krste
 */

use LottaFramework\Facades\CZ;
use LottaFramework\Utils;

$wrapper_attr = [
	'class' => 'krste-primary-navbar min-h-inherit',
];

$menu_container_attr = [ 'class' => 'hidden lg:flex' ];

if ( is_customize_preview() ) {
	$wrapper_attr['data-shortcut']          = 'border';
	$wrapper_attr['data-shortcut-location'] = 'krste_header';

	$menu_container_attr['data-shortcut']          = 'border';
	$menu_container_attr['data-shortcut-location'] = 'krste_header:krste_header_desktop_menu';
}
?>

<nav <?php Utils::print_attribute_string( $wrapper_attr ); ?>>
    <div class="container mx-auto px-half-gutter min-h-inherit flex items-stretch">
        <!-- Site Branding -->
		<?php
		if ( CZ::checked( 'krste_header_logo' ) ) {
			( new Krste_Logo_Element( 'krste_header_logo' ) )->render( [
				'location' => 'krste_header:krste_header_logo'
			] );
		}
		?>

        <!-- Desktop Primary Menu -->
        <div class="flex-grow flex justify-center">
			<?php if ( CZ::checked( 'krste_header_mobile_modal' ) ): ?>
                <div class="flex items-center lg:hidden">
                    <button type="button" data-toggle-target="#krste-mobile-menu-modal"
                            data-toggle-show-focus="#krste-mobile-menu-modal :focusable">
						<?php echo krste_kses( krste_image( 'trigger-2' ) ); ?>
                    </button>
                </div>
			<?php endif; ?>
			<?php
			if ( CZ::checked( 'krste_header_desktop_menu' ) ) {
				( new Krste_Menu_Element( 'krste_desktop_menu' ) )->render( [
					'container_attrs' => $menu_container_attr,
				] );
			}
			?>
        </div>

        <!-- Navbar Actions -->
        <div class="flex items-center space-x-half-gutter">
			<?php if ( CZ::checked( 'krste_header_search' ) ): ?>
                <button type="button" data-toggle-target="#krste-search-modal"
                        data-toggle-show-focus="#krste-search-modal :focusable">
					<?php echo krste_kses( krste_image( 'search' ) ) ?>
                </button>
			<?php endif; ?>
        </div>
    </div>
</nav>
