<?php
/**
 * Show posts loop
 *
 * @package Krste
 */

use LottaFramework\Facades\CZ;
use LottaFramework\Utils;

$layout = CZ::get( 'krste_archive_sidebar' );

$attrs = [
	'class' => 'krste-posts krste-max-w-content mx-auto'
];

if ( is_customize_preview() ) {
	$attrs['data-shortcut']          = 'border';
	$attrs['data-shortcut-location'] = 'krste_posts';
}

$has_divider = CZ::checked( 'krste_entry_divider_section' );
?>

<div class="<?php Utils::the_clsx( krste_container_css( $layout ) ); ?>">
    <div id="content" class="flex-grow">
		<?php if ( have_posts() ): ?>
            <div <?php Utils::print_attribute_string( $attrs ); ?>>
                <div class="card-list">
					<?php
					// posts loop
					while ( have_posts() ) {
						the_post();
						get_template_part( 'template-parts/content', 'entry' );

						if ( $has_divider ) {
							?>
                            <div class="krste-posts-divider"></div>
							<?php
						}
					}
					?>
                </div>

				<?php
				/**
				 * Hook - krste_action_posts_pagination.
				 */
				do_action( 'krste_action_posts_pagination' );
				?>
            </div>
		<?php else: ?>
			<?php get_template_part( 'template-parts/content', 'none' ); ?>
		<?php endif; ?>
    </div>

	<?php
	/**
	 * Hook - krste_action_sidebar.
	 */
	do_action( 'krste_action_sidebar', $layout );
	?>
</div>
