<?php
/**
 * The template part for single post.
 *
 * @package Krste
 */

use LottaFramework\Facades\CZ;
use LottaFramework\Utils;

$layout = CZ::get( 'krste_single_post_sidebar' );
?>

<div class="<?php Utils::the_clsx( krste_container_css( $layout ) ) ?>">
    <div id="content" class="flex-grow max-w-full">
		<?php
		// posts loop
		while ( have_posts() ) {
			the_post();

			/**
			 * Hook - krste_action_before_single_post.
			 */
			do_action( 'krste_action_before_single_post' );

			/**
			 * Hook - krste_action_single_post.
			 */
			do_action( 'krste_action_single_post' );

			/**
			 * Hook - krste_action_after_single_post.
			 */
			do_action( 'krste_action_after_single_post' );
		}
		?>
    </div>

	<?php
	/**
	 * Hook - krste_action_sidebar.
	 */
	do_action( 'krste_action_sidebar', $layout );
	?>
</div>
